#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

pthread_spin_unlock - unlock a spin lock object (ADVANCED REALTIME THREADS)

## Synopsis

#include <pthread.h>

int pthread_spin_unlock(pthread_spinlock_t *lock);

## Description

The pthread_spin_unlock function shall release the spin lock referenced by lock which was locked via the pthread_spin_lock(3) or pthread_spin_trylock(3) functions. If there are threads spinning on the lock when pthread_spin_unlock is called, the lock becomes available and an unspecified spinning thread shall acquire the lock.

Pthreads-w32 does not check ownership of the lock and it is therefore possible for a thread other than the locker to unlock the spin lock. This is not a feature that should be exploited.

The results are undefined if this function is called with an uninitialized thread spin lock.

## Return Value

Upon successful completion, the pthread_spin_unlock function shall return zero; otherwise, an error number shall be returned to indicate the error.

## Errors

The pthread_spin_unlock function may fail if:

EINVAL
  An invalid argument was specified.

This function shall not return an error code of [EINTR].

The following sections are informative.

## Examples

None.

## Application Usage

Pthreads-w32 does not check ownership of the lock and it is therefore possible for a thread other than the locker to unlock the spin lock. This is not a feature that should be exploited.

## Rationale

None.

## Future Directions

None.

## See Also

pthread_spin_destroy(3) , pthread_spin_lock(3) , the Base Definitions volume of IEEE Std 1003.1-2001, <pthread.h>

## Copyright

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Modified by Ross Johnson for use with Pthreads-w32.

Table of Contents

- Name

- Synopsis

- Description

- Return Value

- Errors

- Examples

- Application Usage

- Rationale

- Future Directions

- See Also

- Copyright